package de.intevation.gnv.profile.vertical;

import de.intevation.artifacts.ArtifactFactory;

import de.intevation.gnv.artifacts.GNVArtifactBase;

import org.apache.log4j.Logger;

import org.w3c.dom.Document;

/**
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public class VerticalProfileArtifact extends GNVArtifactBase {
    /**
     * the logger, used to log exceptions and additonaly information
     */
    private static Logger log = Logger.getLogger(VerticalProfileArtifact.class);

    /**
     * The UID of this class
     */
    private static final long serialVersionUID = -8291547966693867205L;

    /**
     * Constructor
     */
    public VerticalProfileArtifact() {
        super();
        log.debug("VerticalProfileArtifact.Constructor");
        this.name = "verticalProfile";
    }


    /**
     * @see de.intevation.gnv.artifacts.GNVArtifactBase#setup(java.lang.String,
     *      de.intevation.artifacts.ArtifactFactory, java.lang.Object,
     *      org.w3c.dom.Document)
     */
    @Override
    public void setup(String identifier, ArtifactFactory factory,
                      Object context, Document data) {
        log.debug("VerticalProfileArtifact.setup");
        super.setup(identifier, factory, context, data);
    }
}
